## org.apache.axis
Interface TargetedChain

All Superinterfaces:
  Chain, Handler, java.io.Serializable

All Known Implementing Classes:
  SimpleTargetedChain

public interface TargetedChain
extends Chain

Author:
  James Snell (jasnell@us.ibm.com)

Method Summary
`Handler` `getPivotHandler()` Returns the Pivot Handler.
`Handler` `getRequestHandler()` Returns the Request handler.
`Handler` `getResponseHandler()` Returns the Response Handler.

Methods inherited from interface org.apache.axis.Chain
`addHandler, contains, getHandlers`

Methods inherited from interface org.apache.axis.Handler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, invoke, onFault, setName, setOption, setOptions`

Method Detail

### getRequestHandler

    public Handler getRequestHandler()

  Returns the Request handler.

  Returns:
    the request `Handler`

### getPivotHandler

    public Handler getPivotHandler()

  Returns the Pivot Handler.

  Returns:
    the pivot `Handler`

### getResponseHandler

    public Handler getResponseHandler()

  Returns the Response Handler.

  Returns:
    the response `Handler`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.